Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface Values2D

All Known Subinterfaces:
  BoxAndWhiskerCategoryDataset, CategoryDataset, GanttCategoryDataset, IntervalCategoryDataset, KeyedValues2D, KeyedValues2DDataset, StatisticalCategoryDataset

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultCategoryDataset, DefaultIntervalCategoryDataset, DefaultKeyedValues2D, DefaultKeyedValues2DDataset, DefaultStatisticalCategoryDataset, TaskSeriesCollection

public interface Values2D

A general purpose interface that can be used to access a table of values.

Method Summary
`int` | `getColumnCount()` Returns the number of columns in the table.
`int` | `getRowCount()` Returns the number of rows in the table.
`java.lang.Number` | `getValue(int row, int column)` Returns a value from the table.

Method Detail

### getRowCount

    public int getRowCount()

  Returns the number of rows in the table.

  Returns:
    the row count.

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the table.

  Returns:
    the column count.

### getValue

    public java.lang.Number getValue(int row,
                                     int column)

  Returns a value from the table.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    the value (possibly `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD